Subject: Re: [midcom] Protocol Evaluation document template

From: Paul Sijben <[email-masked]>
Date: Tue, 02 Apr 2002 10:30:31 +0200

Melinda,

are you implying that we may get a protocol selected that does not come
out as "best" from the evaluation?

I agree with those who spoke earlier that it may be a good idea to find
out first what the protocol is supposed to do before starting to evaluate.

Paul

Melinda Shore wrote:
> 
> At 06:09 PM 3/28/02 -0500, Jonathan Rosenberg wrote:
> >The requirements documents are at a high enough level that I do not see
> >how they would be used to rule out or support protocols. Just about any
> >sensible protocol that supports a session oriented communication between
> >two things, with messages in both directions, will meet the
> >requirements.
> 
> Right.  I think there may be some confusion at work, though -
> the protocol "evaluation" document is not a protocol recommendation
> document - the decision about which protocol will ultimately be
> used will take place after the evaluation document is complete.
> By then the semantics document should be done or nearly done,
> although I'm somewhat disappointed that there hasn't been one response
> to the proposal that Tom has put out and there haven't been any other
> proposals put forward.  And, frankly, I don't think that the semantics
> we settle on are going to have that much discriminatory power.
> 
> I understand your concern but I think we're okay.  If you're familiar
> with "Indiana Jones and the Last Crusade" you may recall the scene in
> which he steps into the abyss only to find that there's actually an
> invisible bridge there.  It's possible that there's no bridge here,
> but I'm willing to try it anyway.  I really don't want to delay starting
> the protocol evaluation until the semantics are put together - it would
> end up taking us over a year to finish.
> 
> Melinda
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom

-- 
Paul Sijben                         Tel:+31 356874774 
Bell Labs - Advanced Technologies   Fax:+31 356875954
Lucent Technologies     (internal) http://voip.nl.lucent.com/~sijben 
Huizen, The Netherlands

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

---

From: "Philip Mart" <[email-masked]>
Date: Tue, 2 Apr 2002 10:17:38 +0100

Melinda,

You seem to suggest,
>I don't think that the semantics
>we settle on are going to have that much discriminatory power
,that the choice of protocol is predominantly about the container protocol
itself and the semantics are not important.

Whilst the choice of container protocol is probably paramount it must also
result in a fit for purpose protocol and correct compveyance of the
semantics is an important engineering requirement. I hope that there will
be no choice made until the semantics are well understood since they form a
refinement of the requirements.

Ideally the semantics should be mapped into candidate "concrete" protocols
so that an informed choice can be made. I suspect this means that semantics
and concrete protocol mappings should proceed in parallel to the decision
point. The decision should be made only when the semantics are complete
leaving only minor changes to the mappings.

Phil

---

From: Melinda Shore <[email-masked]>
Date: Tue, 02 Apr 2002 07:47:05 -0500

>itself and the semantics are not important.

To the contrary - I think the semantics are important and 
the container protocol less so.  What I was trying to say is
that I'm not convinced that the semantics of what we're trying
to do will be critical to distinguishing from among various
proposed protocols.  I suspect that the biggest problem we're
facing, in terms of getting the work completed, is that there
are several protocols that could do a very good job, and although
I could be convinced otherwise it right now seems to me that our
high-level requirements (does the protocol support asynchronous
messages?, etc.) are likely to be more valuable in teasing out
the difference levels of suitability.

I say this having midcom-ified several IETF protocols. 

Melinda